Subject: bug#10458: 24.0.92; ! in dired on a file starting with a hyphen

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Feb 2022 14:49:06 +0100

Stefan Monnier <[email-masked]> writes:

> The problem with that is that it's hackish and ad-hoc.  It will
> sometimes do the right thing, but other times it' not what's expected
> and users will find it odd.

Statistically speaking, it'll work on more cases than `!' used to,
though.  I'm pretty sure.  And I think it's fine for a command like `!'
to try to DWIM.

> An alternative is to pass absolute file names.  And I think it would
> make sense in that case to let the user choose between relative names
> and absolute names.

Giving absolute names would break more stuff than the DWIM tweak,
though, so we can't default to that.  And if we can't default to having
`!' work for files like this, there isn't much point.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no